"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = void 0;
const R = require("ramda");
const ajv_1 = require("ajv");
const evalstr = require("eval");
const gen_eval_content_1 = require("../util/gen-eval-content");
const ajv = new ajv_1.default();
const compile = function (dist, src, filepath, resource, options) {
    if (('schema' in options)) {
        const validate = ajv.compile(options.schema);
        const valid = validate(R.fromPairs(Array.from(resource.entries())));
        if (valid)
            return '/dev/null';
    }
    else if (options.eval) {
        const content = gen_eval_content_1.genEvalContent(JSON.stringify(R.fromPairs(Array.from(resource.entries()))), options.eval);
        if (evalstr(content))
            return '/dev/null';
    }
    else {
        return '/dev/null';
    }
};
exports.compile = compile;
